## org.openqa.selenium.server.browserlaunchers
Class ProxyInjectionFirefoxCustomProfileLauncher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
          org.openqa.selenium.server.browserlaunchers.FirefoxCustomProfileLauncher
              org.openqa.selenium.server.browserlaunchers.ProxyInjectionFirefoxCustomProfileLauncher

All Implemented Interfaces:
  BrowserLauncher

    public class ProxyInjectionFirefoxCustomProfileLauncher

extends FirefoxCustomProfileLauncher

launcher for Firefox under proxy injection mode In proxy injection mode, the selenium server is a proxy for all traffic from the browser, not just traffic going to selenium-server URLs. The incoming HTML is modified to include selenium's JavaScript, which then controls the test page from within (as opposed to controlling the test page from a different window, as selenium remote control normally does).

Author:
  nelsons

Nested Class Summary

Nested classes/interfaces inherited from class org.openqa.selenium.server.browserlaunchers.FirefoxCustomProfileLauncher
`FirefoxCustomProfileLauncher.FileLockRemainedException`

Field Summary

Fields inherited from class org.openqa.selenium.server.browserlaunchers.FirefoxCustomProfileLauncher
`changeMaxConnections, proxySetting`

Fields inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`browserConfigurationOptions, sessionId`

Constructor Summary
`ProxyInjectionFirefoxCustomProfileLauncher(BrowserConfigurationOptions browserOptions, RemoteControlConfiguration configuration, java.lang.String sessionId, BrowserInstallation browserInstallation)`
`ProxyInjectionFirefoxCustomProfileLauncher(BrowserConfigurationOptions browserOptions, RemoteControlConfiguration configuration, java.lang.String sessionId, java.lang.String browserLaunchLocation)`

Method Summary
`protected void` `init()`
`static void` `setChangeMaxConnections(boolean changeMaxConnections)`

Methods inherited from class org.openqa.selenium.server.browserlaunchers.FirefoxCustomProfileLauncher
`close, getProcess, killFirefoxProcess, launch, removeCustomProfileDir, setCustomProfileDir, setProcess`

Methods inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`getConfiguration, getPort, launchHTMLSuite, launchRemoteSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyInjectionFirefoxCustomProfileLauncher

    public ProxyInjectionFirefoxCustomProfileLauncher(BrowserConfigurationOptions browserOptions,
                                                      RemoteControlConfiguration configuration,
                                                      java.lang.String sessionId,
                                                      java.lang.String browserLaunchLocation)

### ProxyInjectionFirefoxCustomProfileLauncher

    public ProxyInjectionFirefoxCustomProfileLauncher(BrowserConfigurationOptions browserOptions,
                                                      RemoteControlConfiguration configuration,
                                                      java.lang.String sessionId,
                                                      BrowserInstallation browserInstallation)

Method Detail

### init

    protected void init()

  Overrides:
    `init` in class `FirefoxCustomProfileLauncher`

### setChangeMaxConnections

    public static void setChangeMaxConnections(boolean changeMaxConnections)

Copyright © 2009. All Rights Reserved.